{
  Copyright (c) 2002 by Adam Boduch <adam@4programmes.net>
}

unit MainFrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Interop.VTextProj, StdCtrls, System.ComponentModel;

type
  TMainForm = class(TForm)
    btnLoad: TButton;
    OpenDialog: TOpenDialog;
    btnStop: TButton;
    procedure btnLoadClick(Sender: TObject);
    procedure btnStopClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
     VText : Interop.VTextProj.VTextClass;
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.dfm}

procedure TMainForm.btnLoadClick(Sender: TObject);
begin
  if OpenDialog.Execute then
  begin
    VText.Stop; // zatrzymanie, jeeli teraz co si odtwarza...
    btnStop.Enabled := True;
    VText.Start(OpenDialog.FileName); // wywoanie procedury
  end;
end;

procedure TMainForm.btnStopClick(Sender: TObject);
begin
  VText.Stop;
  btnStop.Enabled := False;
end;

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  VText.Stop; // zatrzymanie, jeeli uytkownik chce wyj z programu
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  VText := Interop.VTextProj.VTextClass.Create;
end;

end.
