unit MainFrm;

{$WARN SYMBOL_PLATFORM OFF}

interface

uses
  Windows, ActiveX, Classes, ComObj, XorCode_TLB, StdVcl;

type
  TXorCode = class(TTypedComObject, IXorCode)
  private
    FlpString : PChar;
    FlpPassword : PChar;
  protected
    function Code: PChar; stdcall;
    procedure Set_lpString(Value: PChar); stdcall;
    procedure Set_lpPassword(Value: PChar); stdcall;
    {Declare IXorCode methods here}
  end;

implementation

uses ComServ;

function TXorCode.Code: PChar;
var
  I : Integer;
  PassCount : Integer;
begin
  PassCount := 0; 
  Result := FlpString; // przypisz wartosc poczatkowa

  for I := 1 to Length(FlpString) do // wykonuj dla kazdej litery osobno
  begin 
{ 
  Dla kazdego osobnego znaku zamieniaj na wartosc liczbowa, a nastepnie 
  xoruj z kazda litera hasla - powstaje wowczas unikalna kombinacja. 
} 
   Result[i] := Chr(Ord(FlpString[i]) xor Ord(FlpPassword[PassCount]));
   Inc(PassCount);  // wieksz licznik - kolejna litera hasla 
   { Jezeli licznik przekroczy dlugosc hasla - wyzeruj } 
   if PassCount > Length(FlpPassword) then PassCount := 0;
  end; 

end;

procedure TXorCode.Set_lpString(Value: PChar);
begin
{ przydzielenie do zmiennej wartoci podanej w parametrze Value }
  FlpString := Value;
end;

procedure TXorCode.Set_lpPassword(Value: PChar);
begin
{ przydzielenie do zmiennej wartoci podanej w parametrze Value }
  FlpPassword := Value;
end;


initialization
  TTypedComObjectFactory.Create(ComServer, TXorCode, Class_XorCode,
    ciMultiInstance, tmApartment);
end.
